' StringList Test Program
' Richard D. Clark
' Use at your own risk.
' Public Domain
' Example: Sort and Search
' ================================================================
'Include the stringlist.
#Include "..\stringlist.bi"

'Set the namespace.
Using strlist
 
'Create a new string list object.
Dim myList As stringlist
Dim ret As sbool
Dim idx As Integer

'Add some strings to the list.
For i As Integer = 20 To 10 Step - 1
	myList.Add("Item" & i) 
Next

Print "Sorting list descending."
myList.SortAscending = FALSE
myList.Sort
'Print out each item.
For i As Integer = 0 To myList.Count - 1
	Print i & ":";myList.Strings(i)
Next
Print
 
Print "Sorting list ascending."
myList.SortAscending = TRUE
myList.Sort
'Print out each item.
For i As Integer = 0 To myList.Count - 1
	Print i & ":";myList.Strings(i)
Next
Print 

'Do a search.
Print "Looking for Item17:"
ret = myList.Find("item17", idx)
If ret = TRUE Then
	Print "Found at index " & idx & ": " & myList.Strings(idx)
Else
	Print "Item17 not found, index = " & idx
End If
Print

Print "Looking for Item21 (not in list):"
ret = myList.Find("item21", idx)
If ret = TRUE Then
	Print "Found at index " & idx & ":" & myList.Strings(idx)
Else
	Print "Item21 not found, index = " & idx
End If

Sleep
