' StringList Test Program
' Richard D. Clark
' Use at your own risk.
' Public Domain
' Example: Files
' ================================================================
'Include the stringlist.
#Include "..\stringlist.bi"

'Set the namespace.
Using strlist
 
'Create a new string list object.
Dim myList As stringlist
Dim As String flname = "items.txt", txt
Dim ret As sbool

'Add some strings to the list.
For i As Integer = 20 To 10 Step - 1
	myList.Add("Item" & i) 
Next

'Save list to file.
Print "Trying to save string list to file "; flname; "." 
If myList.SaveToFile(flname) = FALSE Then
	Print "Could not save to file ";flname; "."
Else
	Print "Saved strings to file ";flname; "."
EndIf
Print

'Clear the list.
Print "Clearing list with ClearList method."
myList.ClearList
Print "Count is " & myList.Count
Print

'Reload saved list.
Print "Trying to load list saved as ";flname; "."
If myList.LoadFromFile(flname) = FALSE Then
	Print "Could not load from file "; flname; "."
Else
	Print "List loaded."
EndIf
Print

'Print out list contents again.
Print "String count is " & myList.Count
'Print out each item.
For i As Integer = 0 To myList.Count - 1
	Print i & ":";myList.Strings(i)
Next
 
Sleep
